/* Settings.c generated by valac 0.38.4, the Vala compiler
 * generated from Settings.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2013-2014 Audience Developers (http://launchpad.net/pantheon-chat)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Tom Beckmann <tomjonabc@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <granite.h>
#include <stdlib.h>
#include <string.h>
#include <float.h>
#include <math.h>


#define AUDIENCE_TYPE_SETTINGS (audience_settings_get_type ())
#define AUDIENCE_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), AUDIENCE_TYPE_SETTINGS, AudienceSettings))
#define AUDIENCE_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), AUDIENCE_TYPE_SETTINGS, AudienceSettingsClass))
#define AUDIENCE_IS_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), AUDIENCE_TYPE_SETTINGS))
#define AUDIENCE_IS_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), AUDIENCE_TYPE_SETTINGS))
#define AUDIENCE_SETTINGS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), AUDIENCE_TYPE_SETTINGS, AudienceSettingsClass))

typedef struct _AudienceSettings AudienceSettings;
typedef struct _AudienceSettingsClass AudienceSettingsClass;
typedef struct _AudienceSettingsPrivate AudienceSettingsPrivate;
enum  {
	AUDIENCE_SETTINGS_0_PROPERTY,
	AUDIENCE_SETTINGS_MOVE_WINDOW_PROPERTY,
	AUDIENCE_SETTINGS_KEEP_ASPECT_PROPERTY,
	AUDIENCE_SETTINGS_RESUME_VIDEOS_PROPERTY,
	AUDIENCE_SETTINGS_LAST_PLAYED_VIDEOS_PROPERTY,
	AUDIENCE_SETTINGS_CURRENT_VIDEO_PROPERTY,
	AUDIENCE_SETTINGS_LAST_STOPPED_PROPERTY,
	AUDIENCE_SETTINGS_LAST_FOLDER_PROPERTY,
	AUDIENCE_SETTINGS_PLAYBACK_WAIT_PROPERTY,
	AUDIENCE_SETTINGS_STAY_ON_TOP_PROPERTY,
	AUDIENCE_SETTINGS_SUBTITLE_FONT_PROPERTY,
	AUDIENCE_SETTINGS_LIBRARY_FOLDER_PROPERTY,
	AUDIENCE_SETTINGS_POSTER_NAMES_PROPERTY,
	AUDIENCE_SETTINGS_NUM_PROPERTIES
};
static GParamSpec* audience_settings_properties[AUDIENCE_SETTINGS_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))

struct _AudienceSettings {
	GraniteServicesSettings parent_instance;
	AudienceSettingsPrivate * priv;
};

struct _AudienceSettingsClass {
	GraniteServicesSettingsClass parent_class;
};

struct _AudienceSettingsPrivate {
	gboolean _move_window;
	gboolean _keep_aspect;
	gboolean _resume_videos;
	gchar** _last_played_videos;
	gint _last_played_videos_length1;
	gint __last_played_videos_size_;
	gchar* _current_video;
	gdouble _last_stopped;
	gchar* _last_folder;
	gboolean _playback_wait;
	gboolean _stay_on_top;
	gchar* _subtitle_font;
	gchar* _library_folder;
	gchar** _poster_names;
	gint _poster_names_length1;
	gint __poster_names_size_;
};


static gpointer audience_settings_parent_class = NULL;

GType audience_settings_get_type (void) G_GNUC_CONST;
#define AUDIENCE_SETTINGS_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), AUDIENCE_TYPE_SETTINGS, AudienceSettingsPrivate))
AudienceSettings* audience_settings_new (void);
AudienceSettings* audience_settings_construct (GType object_type);
gboolean audience_settings_get_move_window (AudienceSettings* self);
void audience_settings_set_move_window (AudienceSettings* self, gboolean value);
gboolean audience_settings_get_keep_aspect (AudienceSettings* self);
void audience_settings_set_keep_aspect (AudienceSettings* self, gboolean value);
gboolean audience_settings_get_resume_videos (AudienceSettings* self);
void audience_settings_set_resume_videos (AudienceSettings* self, gboolean value);
gchar** audience_settings_get_last_played_videos (AudienceSettings* self, int* result_length1);
void audience_settings_set_last_played_videos (AudienceSettings* self, gchar** value, int value_length1);
static gchar** _vala_array_dup1 (gchar** self, int length);
const gchar* audience_settings_get_current_video (AudienceSettings* self);
void audience_settings_set_current_video (AudienceSettings* self, const gchar* value);
gdouble audience_settings_get_last_stopped (AudienceSettings* self);
void audience_settings_set_last_stopped (AudienceSettings* self, gdouble value);
const gchar* audience_settings_get_last_folder (AudienceSettings* self);
void audience_settings_set_last_folder (AudienceSettings* self, const gchar* value);
gboolean audience_settings_get_playback_wait (AudienceSettings* self);
void audience_settings_set_playback_wait (AudienceSettings* self, gboolean value);
gboolean audience_settings_get_stay_on_top (AudienceSettings* self);
void audience_settings_set_stay_on_top (AudienceSettings* self, gboolean value);
const gchar* audience_settings_get_subtitle_font (AudienceSettings* self);
void audience_settings_set_subtitle_font (AudienceSettings* self, const gchar* value);
const gchar* audience_settings_get_library_folder (AudienceSettings* self);
void audience_settings_set_library_folder (AudienceSettings* self, const gchar* value);
gchar** audience_settings_get_poster_names (AudienceSettings* self, int* result_length1);
void audience_settings_set_poster_names (AudienceSettings* self, gchar** value, int value_length1);
static gchar** _vala_array_dup2 (gchar** self, int length);
static void audience_settings_finalize (GObject * obj);
static void _vala_audience_settings_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_audience_settings_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);


AudienceSettings* audience_settings_construct (GType object_type) {
	AudienceSettings * self = NULL;
#line 36 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	self = (AudienceSettings*) granite_services_settings_construct (object_type, "org.pantheon.audience");
#line 35 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	return self;
#line 137 "Settings.c"
}


AudienceSettings* audience_settings_new (void) {
#line 35 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	return audience_settings_construct (AUDIENCE_TYPE_SETTINGS);
#line 144 "Settings.c"
}


gboolean audience_settings_get_move_window (AudienceSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 22 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 22 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_tmp0_ = self->priv->_move_window;
#line 22 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	result = _tmp0_;
#line 22 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	return result;
#line 159 "Settings.c"
}


void audience_settings_set_move_window (AudienceSettings* self, gboolean value) {
#line 22 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_if_fail (self != NULL);
#line 22 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	if (audience_settings_get_move_window (self) != value) {
#line 168 "Settings.c"
		gboolean _tmp0_;
#line 22 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp0_ = value;
#line 22 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		self->priv->_move_window = _tmp0_;
#line 22 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_object_notify_by_pspec ((GObject *) self, audience_settings_properties[AUDIENCE_SETTINGS_MOVE_WINDOW_PROPERTY]);
#line 176 "Settings.c"
	}
}


gboolean audience_settings_get_keep_aspect (AudienceSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 23 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 23 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_tmp0_ = self->priv->_keep_aspect;
#line 23 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	result = _tmp0_;
#line 23 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	return result;
#line 192 "Settings.c"
}


void audience_settings_set_keep_aspect (AudienceSettings* self, gboolean value) {
#line 23 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_if_fail (self != NULL);
#line 23 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	if (audience_settings_get_keep_aspect (self) != value) {
#line 201 "Settings.c"
		gboolean _tmp0_;
#line 23 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp0_ = value;
#line 23 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		self->priv->_keep_aspect = _tmp0_;
#line 23 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_object_notify_by_pspec ((GObject *) self, audience_settings_properties[AUDIENCE_SETTINGS_KEEP_ASPECT_PROPERTY]);
#line 209 "Settings.c"
	}
}


gboolean audience_settings_get_resume_videos (AudienceSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 24 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 24 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_tmp0_ = self->priv->_resume_videos;
#line 24 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	result = _tmp0_;
#line 24 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	return result;
#line 225 "Settings.c"
}


void audience_settings_set_resume_videos (AudienceSettings* self, gboolean value) {
#line 24 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_if_fail (self != NULL);
#line 24 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	if (audience_settings_get_resume_videos (self) != value) {
#line 234 "Settings.c"
		gboolean _tmp0_;
#line 24 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp0_ = value;
#line 24 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		self->priv->_resume_videos = _tmp0_;
#line 24 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_object_notify_by_pspec ((GObject *) self, audience_settings_properties[AUDIENCE_SETTINGS_RESUME_VIDEOS_PROPERTY]);
#line 242 "Settings.c"
	}
}


gchar** audience_settings_get_last_played_videos (AudienceSettings* self, int* result_length1) {
	gchar** result;
	gchar** _tmp0_;
	gint _tmp0__length1;
	gchar** _tmp1_;
	gint _tmp1__length1;
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_tmp0_ = self->priv->_last_played_videos;
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_tmp0__length1 = self->priv->_last_played_videos_length1;
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_tmp1_ = _tmp0_;
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_tmp1__length1 = _tmp0__length1;
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	if (result_length1) {
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		*result_length1 = _tmp1__length1;
#line 267 "Settings.c"
	}
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	result = _tmp1_;
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	return result;
#line 273 "Settings.c"
}


static gchar** _vala_array_dup1 (gchar** self, int length) {
	gchar** result;
	int i;
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	result = g_new0 (gchar*, length + 1);
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	for (i = 0; i < length; i++) {
#line 284 "Settings.c"
		gchar* _tmp0_;
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp0_ = g_strdup (self[i]);
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		result[i] = _tmp0_;
#line 290 "Settings.c"
	}
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	return result;
#line 294 "Settings.c"
}


void audience_settings_set_last_played_videos (AudienceSettings* self, gchar** value, int value_length1) {
	int old_value_length;
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_if_fail (self != NULL);
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	if (audience_settings_get_last_played_videos (self, &old_value_length) != value) {
#line 304 "Settings.c"
		gchar** _tmp0_;
		gint _tmp0__length1;
		gchar** _tmp1_;
		gint _tmp1__length1;
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp0_ = value;
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp0__length1 = value_length1;
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp1_ = (_tmp0_ != NULL) ? _vala_array_dup1 (_tmp0_, _tmp0__length1) : ((gpointer) _tmp0_);
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp1__length1 = _tmp0__length1;
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		self->priv->_last_played_videos = (_vala_array_free (self->priv->_last_played_videos, self->priv->_last_played_videos_length1, (GDestroyNotify) g_free), NULL);
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		self->priv->_last_played_videos = _tmp1_;
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		self->priv->_last_played_videos_length1 = _tmp1__length1;
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		self->priv->__last_played_videos_size_ = self->priv->_last_played_videos_length1;
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_object_notify_by_pspec ((GObject *) self, audience_settings_properties[AUDIENCE_SETTINGS_LAST_PLAYED_VIDEOS_PROPERTY]);
#line 327 "Settings.c"
	}
}


const gchar* audience_settings_get_current_video (AudienceSettings* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 26 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 26 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_tmp0_ = self->priv->_current_video;
#line 26 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	result = _tmp0_;
#line 26 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	return result;
#line 343 "Settings.c"
}


void audience_settings_set_current_video (AudienceSettings* self, const gchar* value) {
#line 26 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_if_fail (self != NULL);
#line 26 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	if (g_strcmp0 (value, audience_settings_get_current_video (self)) != 0) {
#line 352 "Settings.c"
		const gchar* _tmp0_;
		gchar* _tmp1_;
#line 26 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp0_ = value;
#line 26 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp1_ = g_strdup (_tmp0_);
#line 26 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_g_free0 (self->priv->_current_video);
#line 26 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		self->priv->_current_video = _tmp1_;
#line 26 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_object_notify_by_pspec ((GObject *) self, audience_settings_properties[AUDIENCE_SETTINGS_CURRENT_VIDEO_PROPERTY]);
#line 365 "Settings.c"
	}
}


gdouble audience_settings_get_last_stopped (AudienceSettings* self) {
	gdouble result;
	gdouble _tmp0_;
#line 27 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 27 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_tmp0_ = self->priv->_last_stopped;
#line 27 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	result = _tmp0_;
#line 27 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	return result;
#line 381 "Settings.c"
}


void audience_settings_set_last_stopped (AudienceSettings* self, gdouble value) {
#line 27 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_if_fail (self != NULL);
#line 27 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	if (audience_settings_get_last_stopped (self) != value) {
#line 390 "Settings.c"
		gdouble _tmp0_;
#line 27 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp0_ = value;
#line 27 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		self->priv->_last_stopped = _tmp0_;
#line 27 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_object_notify_by_pspec ((GObject *) self, audience_settings_properties[AUDIENCE_SETTINGS_LAST_STOPPED_PROPERTY]);
#line 398 "Settings.c"
	}
}


const gchar* audience_settings_get_last_folder (AudienceSettings* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 28 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 28 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_tmp0_ = self->priv->_last_folder;
#line 28 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	result = _tmp0_;
#line 28 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	return result;
#line 414 "Settings.c"
}


void audience_settings_set_last_folder (AudienceSettings* self, const gchar* value) {
#line 28 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_if_fail (self != NULL);
#line 28 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	if (g_strcmp0 (value, audience_settings_get_last_folder (self)) != 0) {
#line 423 "Settings.c"
		const gchar* _tmp0_;
		gchar* _tmp1_;
#line 28 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp0_ = value;
#line 28 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp1_ = g_strdup (_tmp0_);
#line 28 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_g_free0 (self->priv->_last_folder);
#line 28 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		self->priv->_last_folder = _tmp1_;
#line 28 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_object_notify_by_pspec ((GObject *) self, audience_settings_properties[AUDIENCE_SETTINGS_LAST_FOLDER_PROPERTY]);
#line 436 "Settings.c"
	}
}


gboolean audience_settings_get_playback_wait (AudienceSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 29 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 29 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_tmp0_ = self->priv->_playback_wait;
#line 29 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	result = _tmp0_;
#line 29 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	return result;
#line 452 "Settings.c"
}


void audience_settings_set_playback_wait (AudienceSettings* self, gboolean value) {
#line 29 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_if_fail (self != NULL);
#line 29 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	if (audience_settings_get_playback_wait (self) != value) {
#line 461 "Settings.c"
		gboolean _tmp0_;
#line 29 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp0_ = value;
#line 29 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		self->priv->_playback_wait = _tmp0_;
#line 29 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_object_notify_by_pspec ((GObject *) self, audience_settings_properties[AUDIENCE_SETTINGS_PLAYBACK_WAIT_PROPERTY]);
#line 469 "Settings.c"
	}
}


gboolean audience_settings_get_stay_on_top (AudienceSettings* self) {
	gboolean result;
	gboolean _tmp0_;
#line 30 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 30 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_tmp0_ = self->priv->_stay_on_top;
#line 30 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	result = _tmp0_;
#line 30 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	return result;
#line 485 "Settings.c"
}


void audience_settings_set_stay_on_top (AudienceSettings* self, gboolean value) {
#line 30 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_if_fail (self != NULL);
#line 30 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	if (audience_settings_get_stay_on_top (self) != value) {
#line 494 "Settings.c"
		gboolean _tmp0_;
#line 30 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp0_ = value;
#line 30 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		self->priv->_stay_on_top = _tmp0_;
#line 30 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_object_notify_by_pspec ((GObject *) self, audience_settings_properties[AUDIENCE_SETTINGS_STAY_ON_TOP_PROPERTY]);
#line 502 "Settings.c"
	}
}


const gchar* audience_settings_get_subtitle_font (AudienceSettings* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 31 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 31 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_tmp0_ = self->priv->_subtitle_font;
#line 31 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	result = _tmp0_;
#line 31 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	return result;
#line 518 "Settings.c"
}


void audience_settings_set_subtitle_font (AudienceSettings* self, const gchar* value) {
#line 31 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_if_fail (self != NULL);
#line 31 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	if (g_strcmp0 (value, audience_settings_get_subtitle_font (self)) != 0) {
#line 527 "Settings.c"
		const gchar* _tmp0_;
		gchar* _tmp1_;
#line 31 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp0_ = value;
#line 31 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp1_ = g_strdup (_tmp0_);
#line 31 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_g_free0 (self->priv->_subtitle_font);
#line 31 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		self->priv->_subtitle_font = _tmp1_;
#line 31 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_object_notify_by_pspec ((GObject *) self, audience_settings_properties[AUDIENCE_SETTINGS_SUBTITLE_FONT_PROPERTY]);
#line 540 "Settings.c"
	}
}


const gchar* audience_settings_get_library_folder (AudienceSettings* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 32 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 32 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_tmp0_ = self->priv->_library_folder;
#line 32 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	result = _tmp0_;
#line 32 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	return result;
#line 556 "Settings.c"
}


void audience_settings_set_library_folder (AudienceSettings* self, const gchar* value) {
#line 32 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_if_fail (self != NULL);
#line 32 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	if (g_strcmp0 (value, audience_settings_get_library_folder (self)) != 0) {
#line 565 "Settings.c"
		const gchar* _tmp0_;
		gchar* _tmp1_;
#line 32 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp0_ = value;
#line 32 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp1_ = g_strdup (_tmp0_);
#line 32 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_g_free0 (self->priv->_library_folder);
#line 32 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		self->priv->_library_folder = _tmp1_;
#line 32 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_object_notify_by_pspec ((GObject *) self, audience_settings_properties[AUDIENCE_SETTINGS_LIBRARY_FOLDER_PROPERTY]);
#line 578 "Settings.c"
	}
}


gchar** audience_settings_get_poster_names (AudienceSettings* self, int* result_length1) {
	gchar** result;
	gchar** _tmp0_;
	gint _tmp0__length1;
	gchar** _tmp1_;
	gint _tmp1__length1;
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_tmp0_ = self->priv->_poster_names;
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_tmp0__length1 = self->priv->_poster_names_length1;
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_tmp1_ = _tmp0_;
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_tmp1__length1 = _tmp0__length1;
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	if (result_length1) {
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		*result_length1 = _tmp1__length1;
#line 603 "Settings.c"
	}
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	result = _tmp1_;
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	return result;
#line 609 "Settings.c"
}


static gchar** _vala_array_dup2 (gchar** self, int length) {
	gchar** result;
	int i;
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	result = g_new0 (gchar*, length + 1);
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	for (i = 0; i < length; i++) {
#line 620 "Settings.c"
		gchar* _tmp0_;
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp0_ = g_strdup (self[i]);
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		result[i] = _tmp0_;
#line 626 "Settings.c"
	}
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	return result;
#line 630 "Settings.c"
}


void audience_settings_set_poster_names (AudienceSettings* self, gchar** value, int value_length1) {
	int old_value_length;
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_return_if_fail (self != NULL);
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	if (audience_settings_get_poster_names (self, &old_value_length) != value) {
#line 640 "Settings.c"
		gchar** _tmp0_;
		gint _tmp0__length1;
		gchar** _tmp1_;
		gint _tmp1__length1;
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp0_ = value;
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp0__length1 = value_length1;
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp1_ = (_tmp0_ != NULL) ? _vala_array_dup2 (_tmp0_, _tmp0__length1) : ((gpointer) _tmp0_);
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		_tmp1__length1 = _tmp0__length1;
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		self->priv->_poster_names = (_vala_array_free (self->priv->_poster_names, self->priv->_poster_names_length1, (GDestroyNotify) g_free), NULL);
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		self->priv->_poster_names = _tmp1_;
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		self->priv->_poster_names_length1 = _tmp1__length1;
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		self->priv->__poster_names_size_ = self->priv->_poster_names_length1;
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_object_notify_by_pspec ((GObject *) self, audience_settings_properties[AUDIENCE_SETTINGS_POSTER_NAMES_PROPERTY]);
#line 663 "Settings.c"
	}
}


static void audience_settings_class_init (AudienceSettingsClass * klass) {
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	audience_settings_parent_class = g_type_class_peek_parent (klass);
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_type_class_add_private (klass, sizeof (AudienceSettingsPrivate));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_audience_settings_get_property;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_audience_settings_set_property;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	G_OBJECT_CLASS (klass)->finalize = audience_settings_finalize;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_SETTINGS_MOVE_WINDOW_PROPERTY, audience_settings_properties[AUDIENCE_SETTINGS_MOVE_WINDOW_PROPERTY] = g_param_spec_boolean ("move-window", "move-window", "move-window", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_SETTINGS_KEEP_ASPECT_PROPERTY, audience_settings_properties[AUDIENCE_SETTINGS_KEEP_ASPECT_PROPERTY] = g_param_spec_boolean ("keep-aspect", "keep-aspect", "keep-aspect", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_SETTINGS_RESUME_VIDEOS_PROPERTY, audience_settings_properties[AUDIENCE_SETTINGS_RESUME_VIDEOS_PROPERTY] = g_param_spec_boolean ("resume-videos", "resume-videos", "resume-videos", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_SETTINGS_LAST_PLAYED_VIDEOS_PROPERTY, audience_settings_properties[AUDIENCE_SETTINGS_LAST_PLAYED_VIDEOS_PROPERTY] = g_param_spec_boxed ("last-played-videos", "last-played-videos", "last-played-videos", G_TYPE_STRV, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_SETTINGS_CURRENT_VIDEO_PROPERTY, audience_settings_properties[AUDIENCE_SETTINGS_CURRENT_VIDEO_PROPERTY] = g_param_spec_string ("current-video", "current-video", "current-video", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_SETTINGS_LAST_STOPPED_PROPERTY, audience_settings_properties[AUDIENCE_SETTINGS_LAST_STOPPED_PROPERTY] = g_param_spec_double ("last-stopped", "last-stopped", "last-stopped", -G_MAXDOUBLE, G_MAXDOUBLE, 0.0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_SETTINGS_LAST_FOLDER_PROPERTY, audience_settings_properties[AUDIENCE_SETTINGS_LAST_FOLDER_PROPERTY] = g_param_spec_string ("last-folder", "last-folder", "last-folder", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_SETTINGS_PLAYBACK_WAIT_PROPERTY, audience_settings_properties[AUDIENCE_SETTINGS_PLAYBACK_WAIT_PROPERTY] = g_param_spec_boolean ("playback-wait", "playback-wait", "playback-wait", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_SETTINGS_STAY_ON_TOP_PROPERTY, audience_settings_properties[AUDIENCE_SETTINGS_STAY_ON_TOP_PROPERTY] = g_param_spec_boolean ("stay-on-top", "stay-on-top", "stay-on-top", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_SETTINGS_SUBTITLE_FONT_PROPERTY, audience_settings_properties[AUDIENCE_SETTINGS_SUBTITLE_FONT_PROPERTY] = g_param_spec_string ("subtitle-font", "subtitle-font", "subtitle-font", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_SETTINGS_LIBRARY_FOLDER_PROPERTY, audience_settings_properties[AUDIENCE_SETTINGS_LIBRARY_FOLDER_PROPERTY] = g_param_spec_string ("library-folder", "library-folder", "library-folder", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_SETTINGS_POSTER_NAMES_PROPERTY, audience_settings_properties[AUDIENCE_SETTINGS_POSTER_NAMES_PROPERTY] = g_param_spec_boxed ("poster-names", "poster-names", "poster-names", G_TYPE_STRV, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 703 "Settings.c"
}


static void audience_settings_instance_init (AudienceSettings * self) {
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	self->priv = AUDIENCE_SETTINGS_GET_PRIVATE (self);
#line 710 "Settings.c"
}


static void audience_settings_finalize (GObject * obj) {
	AudienceSettings * self;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, AUDIENCE_TYPE_SETTINGS, AudienceSettings);
#line 25 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	self->priv->_last_played_videos = (_vala_array_free (self->priv->_last_played_videos, self->priv->_last_played_videos_length1, (GDestroyNotify) g_free), NULL);
#line 26 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_g_free0 (self->priv->_current_video);
#line 28 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_g_free0 (self->priv->_last_folder);
#line 31 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_g_free0 (self->priv->_subtitle_font);
#line 32 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	_g_free0 (self->priv->_library_folder);
#line 33 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	self->priv->_poster_names = (_vala_array_free (self->priv->_poster_names, self->priv->_poster_names_length1, (GDestroyNotify) g_free), NULL);
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	G_OBJECT_CLASS (audience_settings_parent_class)->finalize (obj);
#line 732 "Settings.c"
}


GType audience_settings_get_type (void) {
	static volatile gsize audience_settings_type_id__volatile = 0;
	if (g_once_init_enter (&audience_settings_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (AudienceSettingsClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) audience_settings_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (AudienceSettings), 0, (GInstanceInitFunc) audience_settings_instance_init, NULL };
		GType audience_settings_type_id;
		audience_settings_type_id = g_type_register_static (GRANITE_SERVICES_TYPE_SETTINGS, "AudienceSettings", &g_define_type_info, 0);
		g_once_init_leave (&audience_settings_type_id__volatile, audience_settings_type_id);
	}
	return audience_settings_type_id__volatile;
}


static void _vala_audience_settings_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	AudienceSettings * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, AUDIENCE_TYPE_SETTINGS, AudienceSettings);
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	switch (property_id) {
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_MOVE_WINDOW_PROPERTY:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_value_set_boolean (value, audience_settings_get_move_window (self));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_KEEP_ASPECT_PROPERTY:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_value_set_boolean (value, audience_settings_get_keep_aspect (self));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_RESUME_VIDEOS_PROPERTY:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_value_set_boolean (value, audience_settings_get_resume_videos (self));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_LAST_PLAYED_VIDEOS_PROPERTY:
#line 773 "Settings.c"
		{
			int length;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
			g_value_set_boxed (value, audience_settings_get_last_played_videos (self, &length));
#line 778 "Settings.c"
		}
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_CURRENT_VIDEO_PROPERTY:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_value_set_string (value, audience_settings_get_current_video (self));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_LAST_STOPPED_PROPERTY:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_value_set_double (value, audience_settings_get_last_stopped (self));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_LAST_FOLDER_PROPERTY:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_value_set_string (value, audience_settings_get_last_folder (self));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_PLAYBACK_WAIT_PROPERTY:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_value_set_boolean (value, audience_settings_get_playback_wait (self));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_STAY_ON_TOP_PROPERTY:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_value_set_boolean (value, audience_settings_get_stay_on_top (self));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_SUBTITLE_FONT_PROPERTY:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_value_set_string (value, audience_settings_get_subtitle_font (self));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_LIBRARY_FOLDER_PROPERTY:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		g_value_set_string (value, audience_settings_get_library_folder (self));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_POSTER_NAMES_PROPERTY:
#line 826 "Settings.c"
		{
			int length;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
			g_value_set_boxed (value, audience_settings_get_poster_names (self, &length));
#line 831 "Settings.c"
		}
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 835 "Settings.c"
		default:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 841 "Settings.c"
	}
}


static void _vala_audience_settings_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	AudienceSettings * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, AUDIENCE_TYPE_SETTINGS, AudienceSettings);
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
	switch (property_id) {
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_MOVE_WINDOW_PROPERTY:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		audience_settings_set_move_window (self, g_value_get_boolean (value));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_KEEP_ASPECT_PROPERTY:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		audience_settings_set_keep_aspect (self, g_value_get_boolean (value));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_RESUME_VIDEOS_PROPERTY:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		audience_settings_set_resume_videos (self, g_value_get_boolean (value));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_LAST_PLAYED_VIDEOS_PROPERTY:
#line 871 "Settings.c"
		{
			gpointer boxed;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
			boxed = g_value_get_boxed (value);
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
			audience_settings_set_last_played_videos (self, boxed, (boxed == NULL) ? 0 : g_strv_length (boxed));
#line 878 "Settings.c"
		}
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_CURRENT_VIDEO_PROPERTY:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		audience_settings_set_current_video (self, g_value_get_string (value));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_LAST_STOPPED_PROPERTY:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		audience_settings_set_last_stopped (self, g_value_get_double (value));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_LAST_FOLDER_PROPERTY:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		audience_settings_set_last_folder (self, g_value_get_string (value));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_PLAYBACK_WAIT_PROPERTY:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		audience_settings_set_playback_wait (self, g_value_get_boolean (value));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_STAY_ON_TOP_PROPERTY:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		audience_settings_set_stay_on_top (self, g_value_get_boolean (value));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_SUBTITLE_FONT_PROPERTY:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		audience_settings_set_subtitle_font (self, g_value_get_string (value));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_LIBRARY_FOLDER_PROPERTY:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		audience_settings_set_library_folder (self, g_value_get_string (value));
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		case AUDIENCE_SETTINGS_POSTER_NAMES_PROPERTY:
#line 926 "Settings.c"
		{
			gpointer boxed;
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
			boxed = g_value_get_boxed (value);
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
			audience_settings_set_poster_names (self, boxed, (boxed == NULL) ? 0 : g_strv_length (boxed));
#line 933 "Settings.c"
		}
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 937 "Settings.c"
		default:
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 21 "/builddir/build/BUILD/videos-0.2.5/src/Settings.vala"
		break;
#line 943 "Settings.c"
	}
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}



